%global _install_langs all
%global uname   common-data

Summary:	Desktop common files
Name:		desktop-common-data
Epoch:		1
Version:	10.0
Release:	%mkrel 1
Group:		System/Configuration
License:	GPL
URL:		https://www.mageia.org

Source0:	https://gitweb.mageia.org/software/desktop/common-data/snapshot/%{uname}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	libxml2-utils
BuildArch:	noarch
Provides:	menu = 2.1.24
Requires:	menu-messages
Requires:	xdg-utils
Requires:	xdg-user-dirs
Requires:	run-parts
# shared-mime-info is needed to correctly render included register.desktop (tarakbumba)
Requires:	shared-mime-info
Requires(post):	hicolor-icon-theme
Requires:	hicolor-icon-theme

%description
This package contains useful icons, menu structure and others goodies for the
%_vendor desktop.

%prep
%autosetup -p1 -n %{uname}-%{version}

# fix .po files - temporarely?
for file in po/*.po; do
    sed -i "s|charset=CHARSET|charset=UTF-8|gi" $file
done

%build
make

%install
## Install backgrounds
# User & root's backgrounds
install -d -m 0755 %{buildroot}%{_datadir}/mga/backgrounds/

# XFdrake test card
install -d -m 0755 %{buildroot}%{_datadir}/mga/xfdrake/
install -m 0644 backgrounds/xfdrake-test-card.png %{buildroot}%{_datadir}/mga/xfdrake/xfdrake-test-card.png



## Install scripts
# /usr/bin/
install -d -m 0755 %{buildroot}%{_bindir}
for i in bin/*.sh ; do install -m 0755 $i %{buildroot}%{_bindir}/ ; done
install -m 0755 bin/www-browser %{buildroot}%{_bindir}/
install -m 0755 bin/xvt %{buildroot}%{_bindir}/
install -m 0755 bin/editor %{buildroot}%{_bindir}/

# /usr/sbin/
install -d -m 0755 %{buildroot}%{_sbindir}
for i in sbin/* ; do install -m 0755 $i %{buildroot}%{_sbindir}/ ; done

# /etc/X11/xinit.d/
install -d -m 0755 %{buildroot}%{_sysconfdir}/X11/xinit.d/
for i in xinit.d/* ; do install -m 0755 $i %{buildroot}%{_sysconfdir}/X11/xinit.d/ ; done


## Install faces
install -d -m 0755 %{buildroot}%{_datadir}/mga/faces/
install -d -m 0755 %{buildroot}%{_datadir}/faces/
for i in faces/*.png ; do install -m 0644 $i %{buildroot}%{_datadir}/mga/faces/ ; done

install -m 0644 faces/default.png %{buildroot}%{_datadir}/faces/default.png

install -m 0644 faces/default.png %{buildroot}%{_datadir}/faces/user-default-mga.png



## KDE
# kdm
install -d -m 0755 %{buildroot}%{_datadir}/apps/kdm/pics/



## icons
install -d -m 0755 %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
install -m 0644 menu/icons/*.png %{buildroot}%{_iconsdir}
install -m 0644 menu/icons/large/*.png %{buildroot}%{_liconsdir}
install -m 0644 menu/icons/mini/*.png %{buildroot}%{_miconsdir}

cp -r menu/icons/hicolor %{buildroot}%{_iconsdir}

## svg icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/categories/
install -m 0644 menu/icons/svg/*.svg %{buildroot}%{_iconsdir}/hicolor/scalable/categories/

# XDG menus
install -d -m 0755 %{buildroot}%{_sysconfdir}/xdg/autostart
install -d -m 0755 %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
install -d -m 0755 %{buildroot}%{_sysconfdir}/menu.d %{buildroot}%{_sysconfdir}/profile.d
install -m 0644 applications.menu %{buildroot}%{_sysconfdir}/xdg/menus/applications.menu
install -m 0644 plasma-applications.menu %{buildroot}%{_sysconfdir}/xdg/menus/plasma-applications.menu
install -m 0755 menu/xdg_menu %{buildroot}%{_bindir}
install -m 0755 menu/update-menus %{buildroot}%{_bindir}/update-menus
install -m 0644 menu/menustyle.csh %{buildroot}%{_sysconfdir}/profile.d/30menustyle.csh
install -m 0644 menu/menustyle.sh %{buildroot}%{_sysconfdir}/profile.d/30menustyle.sh

if [ "%_install_langs" != "all" ]; then
 echo ERROR : rpm macro %%_install_langs is not set to \"all\", causing some translations to not be available on your build system and therefore preventing building this package. Add \"%%_install_langs all\" to /etc/rpm/macros and force a reinstall of menu-messages package to ensure all translations are installed on this system before rebuilding this package
 return 1
fi

install -d -m 0755 %{buildroot}%{_datadir}/desktop-directories

install -d -m 0755 %{buildroot}%{_var}/lib/menu
for i in menu/desktop-directories/*.in ; do
 %{_bindir}/intltool-merge --desktop-style po $i %{buildroot}%{_datadir}/desktop-directories/`basename $i .in` 2>&1 | grep -q "Odd number of elements in hash assignment" && echo "menu message po broken (see bug #25895), aborting " && exit 1
done

for PRODUCT in default ; do
  install -d -m 0755 %{buildroot}%{_datadir}/dist/desktop-files/$PRODUCT
  for i in desktop/$PRODUCT/*.in ; do
    %{_bindir}/intltool-merge --desktop-style po $i %{buildroot}%{_datadir}/dist/desktop-files/$PRODUCT/`basename $i .in`
  done
done


#install theme for GDM/KDM
install -d -m 0755 %{buildroot}%{_datadir}/mga/dm
for i in dm/*.png dm/*.desktop dm/*.xml ; do
  install -m 0644 $i %{buildroot}%{_datadir}/mga/dm/
done

# install bookmarks
install -d -m 0755 %{buildroot}%{_datadir}/mga/bookmarks/konqueror
for i in bookmarks/konqueror/*.xml ; do
  install -m 0644 $i %{buildroot}%{_datadir}/mga/bookmarks/konqueror
done

install -d -m 0755 %{buildroot}%{_datadir}/mga/bookmarks/mozilla
for i in bookmarks/mozilla/*.html ; do
  install -m 0644 $i %{buildroot}%{_datadir}/mga/bookmarks/mozilla
done


%post
if [ -f %{_sysconfdir}/X11/window-managers.rpmsave ];then
	%{_sbindir}/convertsession -f %{_sysconfdir}/X11/window-managers.rpmsave || :
fi

update-menus


%transfiletriggerin --  /usr/share/applications/ /etc/menu.d/
update-menus

%files
%{_bindir}/*
#
%{_sbindir}/*

%{_sysconfdir}/X11/xinit.d/*
%{_sysconfdir}/profile.d/*
%dir %{_sysconfdir}/menu.d
%dir %{_sysconfdir}/xdg
%dir %{_sysconfdir}/xdg/menus
%dir %{_sysconfdir}/xdg/menus/applications-merged
%config(noreplace) %{_sysconfdir}/xdg/menus/*.menu
%dir %{_var}/lib/menu

#
%dir %{_datadir}/faces/
%dir %{_datadir}/mga/
%dir %{_datadir}/mga/faces/
%{_datadir}/faces/*
%{_datadir}/mga/faces/*
#

%dir %{_datadir}/mga/bookmarks
%dir %{_datadir}/mga/bookmarks/konqueror
%{_datadir}/mga/bookmarks/konqueror/*.xml
%dir %{_datadir}/mga/bookmarks/mozilla
%{_datadir}/mga/bookmarks/mozilla/*.html
#
%dir %{_datadir}/mga/xfdrake/
%{_datadir}/mga/xfdrake/*.png
#

%{_datadir}/mga/dm

%dir %{_datadir}/dist/desktop-files
%dir %{_datadir}/dist/desktop-files/default
%attr(0755,root,root) %{_datadir}/dist/desktop-files/*/*
#
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg

%{_datadir}/desktop-directories/*.directory


%changelog
* Sun Dec 22 2024 daviddavid <daviddavid> 1:10.0-1.mga10
+ Revision: 2128619
- new version: 10.0
- install some menu svg icons in /usr/share/hicolor/scalable/categories/

* Wed Mar 23 2022 umeabot <umeabot> 1:7.0-4.mga9
+ Revision: 1820625
- Mageia 9 Mass Rebuild

* Mon Mar 08 2021 ghibo <ghibo> 1:7.0-3.mga9
+ Revision: 1700627
- Run the menu xinit script as "sourced", to avoid zombie creation (as of bug #27362).
- Fix kreadconfig call in www-browser, now is kreadconfig5.
- Fix kreadconfig call in xvt, now is kreadconfig5.

* Sat Feb 15 2020 umeabot <umeabot> 1:7.0-2.mga8
+ Revision: 1526663
- Mageia 8 Mass Rebuild

* Tue Jun 18 2019 tmb <tmb> 1:7.0-1.mga7
+ Revision: 1400278
- translation updates

* Mon May 20 2019 tmb <tmb> 1:6.13-1.mga7
+ Revision: 1398634
- translation updates

* Thu Sep 20 2018 umeabot <umeabot> 1:6.12-2.mga7
+ Revision: 1277901
- Mageia 7 Mass Rebuild

* Fri Aug 10 2018 martinw <martinw> 1:6.12-1.mga7
+ Revision: 1250972
- enable Mageia documentation to be shown in the main menu
- updated translations

* Thu May 25 2017 akien <akien> 1:6.11-1.mga6
+ Revision: 1104546
- 6.11, re-release 6.10 with proper version bump
+ animtim <animtim>
- missing icon

* Tue Mar 21 2017 wally <wally> 1:6.9-1.mga6
+ Revision: 1093929
- xvt: update default terminal detection to use gsettings in GNOME
- xvt: use gsettings to detect default terminal in MATE as dconf might be not available always available
- includes changes from 6.8 which was never submited
  * xvt: prefer terminal apps from modern DEs over aterm and Eterm
  * xvt: add support for mate-terminal and default terminal recognition for MATE desktop
  * update Tajik translation from Tx

* Mon Mar 06 2017 wally <wally> 1:6.7-1.mga6
+ Revision: 1089132
- add support for google-chrome to www-browser script

* Wed Feb 15 2017 martinw <martinw> 1:6.6-1.mga6
+ Revision: 1086343
- xvt: raise precedence of xfce4-terminal (mga#20278)
- translation updates
+ tv <tv>
- do not show "default"/"failsafe" in session list when there's at least one
  session (mga#19234)

* Thu Jan 05 2017 martinw <martinw> 1:6.4-1.mga6
+ Revision: 1080212
- xvt: don't pass obsolete nofork option to konsole (mga#19977)
- translation updates

* Tue Aug 23 2016 daviddavid <daviddavid> 1:6.3-1.mga6
+ Revision: 1048020
- new version: 6.3

* Sat Aug 13 2016 tv <tv> 1:6.2-1.mga6
+ Revision: 1046155
- stop generating session files (mga#17617)
- use sessions from /usr/share/xsessions/ (mga#17617)

* Tue Aug 09 2016 daviddavid <daviddavid> 1:6.1-1.mga6
+ Revision: 1045169
- new version: 6.1 (fixes mga#18064#c8)

* Thu Aug 04 2016 neoclust <neoclust> 1:6.0-3.mga6
+ Revision: 1044476
- Fix plasma menu

* Mon May 30 2016 daviddavid <daviddavid> 1:6.0-2.mga6
+ Revision: 1019409
- add a Conflicts on mate-panel to ease upgrade mga5 -> mga6 (mga#18585)

* Sun May 29 2016 akien <akien> 1:6.0-1.mga6
+ Revision: 1019334
- Version 6.0
- Use tarball provided by gitweb.mageia.org

* Sun May 22 2016 wally <wally> 1:3.11.1-1.mga6
+ Revision: 1017416
- new version 3.11.1
  o fix 'Sound & Video' menu category icons (mga#18064)
  o update translations

* Fri Mar 25 2016 ennael <ennael> 1:3.11-1.mga6
+ Revision: 995265
- New design (Animtim)

* Fri Feb 19 2016 umeabot <umeabot> 1:3.10-3.mga6
+ Revision: 969938
- Mageia 6 Mass Rebuild

* Fri Sep 25 2015 wally <wally> 1:3.10-2.mga6
+ Revision: 883619
- remove fndSession from %%post as it causes removal of upstream .desktop files in /usr/share/xsessions every time desktop-common-data gets updated

* Thu Sep 24 2015 ns80 <ns80> 1:3.10-1.mga6
+ Revision: 883060
- Version 3.10
- Update some translations
- Update applications.menu to ignore XFCE and LXQt settings in LXDE (mga#13879)

* Mon Sep 14 2015 neoclust <neoclust> 1:3.9-3.mga6
+ Revision: 879271
- Remove fndSession trigger, we will use upstream desktop files now

* Sun Sep 06 2015 tv <tv> 1:3.9-2.mga6
+ Revision: 873164
- switch to new upstream file trigger syntax

* Thu Jan 08 2015 lmenut <lmenut> 1:3.9-1.mga5
+ Revision: 809231
- chksession: fix support for DesktopNames

* Wed Jan 07 2015 lmenut <lmenut> 1:3.8-1.mga5
+ Revision: 809139
- chksession: add support for DesktopNames (mga#14953)

* Wed Oct 15 2014 umeabot <umeabot> 1:3.7-4.mga5
+ Revision: 743122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.7-3.mga5
+ Revision: 678714
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 tarakbumba <tarakbumba> 1:3.7-2.mga5
+ Revision: 653315
- Require shared-mime-info (fixes mga#13675)

* Sat Apr 26 2014 akien <akien> 1:3.7-1.mga5
+ Revision: 618146
- Version 3.7
- Adapt gettarball script to git repo

* Mon Feb 17 2014 malo <malo> 1:3.6-1.mga5
+ Revision: 593880
- version 3.6

* Sat Oct 19 2013 umeabot <umeabot> 1:3.5-2.mga4
+ Revision: 533038
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 wally <wally> 1:3.5-1.mga4
+ Revision: 470909
- new version 3.5

* Mon Jun 24 2013 wally <wally> 1:3.4-1.mga4
+ Revision: 446280
- new version 3.4
+ luigiwalser <luigiwalser>
- Version 3.3
+ boklm <boklm>
- Version 3.2

* Sat Mar 02 2013 boklm <boklm> 1:3.1-1.mga3
+ Revision: 401031
- Version 3.1

* Fri Mar 01 2013 malo <malo> 1:2-15.mga3
+ Revision: 400751
- fix chemistry icon

* Fri Mar 01 2013 malo <malo> 1:2-14.mga3
+ Revision: 400745
- update a few default icons (source: oxygen theme)

* Tue Jan 22 2013 malo <malo> 1:2-13.mga3
+ Revision: 391003
- add a few missing icons

* Mon Jan 21 2013 malo <malo> 1:2-12.mga3
+ Revision: 390529
- add new icons for new RPM groups
- update RPM group

* Fri Jan 11 2013 umeabot <umeabot> 1:2-11.mga3
+ Revision: 348725
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 10 2012 dams <dams> 1:2-10.mga2
+ Revision: 235078
- replace 'xte' inside script
- rename 'xte' to fix upgrade conflict

* Thu May 03 2012 dams <dams> 1:2-9.mga2
+ Revision: 234623
- add 'xte' script to find text editor
- add 'chromium-browser' to 'www-browser'

* Mon Apr 16 2012 ennael <ennael> 1:2-7.mga2
+ Revision: 231033
- fix fr translation for community icon

* Wed Mar 14 2012 ennael <ennael> 1:2-6.mga2
+ Revision: 223358
- update translations

* Fri Mar 09 2012 ennael <ennael> 1:2-5.mga2
+ Revision: 222127
- update menu icons

* Tue Feb 28 2012 kamil <kamil> 1:2-4.mga2
+ Revision: 215819
- new release 1:2-4
- add terminator to xvt (mga#4619)
- use %%global _install_langs all to be sure to install all locales
- change (in .spec) charset in effected .po files, replace CHARSET with UTF-8

* Wed Jan 18 2012 obgr_seneca <obgr_seneca> 1:2-3.mga2
+ Revision: 197790
- replaced icons for graphics-section and mathematics-section
- fix bug #107 about wrong icon for graphics-section

* Fri Jan 06 2012 fwang <fwang> 1:2-2.mga2
+ Revision: 192560
- new tarball
- do not hardlink distro logo as it has already been installed
  use shipped po files to generating directory files
  clean up spec

* Mon Dec 05 2011 anssi <anssi> 1:2-1.mga2
+ Revision: 176768
- applications.menu and kde-applications.menu:
  o remove some superfluous entries from applications.menu that have no
    effect
  o show applications with native desktop but non-native toolkit in
    Tools->System Tools, for consistency with other menus
  o add support for X-Mageia-CrossDesktop (bug #2449)
  o show applications with category System in Tools->More if not shown
    elsewhere (fixes e.g. avahi-discover in KDE)
  o unhide some applications with GNOME category (fixes e.g. gconf-editor
    which previously didn't appear in any desktop, and GParted which was
    missing in KDE)
  o drop "Other" (note: these were not "More") submenus from Education and
    Science menus, instead show those applications in the main Education
    and Science menus (see bug #1633)
  o do not show duplicate applications between Education and Science
    (bug #1633)
  o use inlining for submenus of Education and Science if supported by the
    menu implementation when there is only a single entry in the submenu
    (currently supported by GNOME, not by KDE menu applets)
  o show submenus before menu entries (except for More) by default; this
    should mostly affect Education, Science, Wine, and custom menus only
- chksession:
  o add support for generic --generate=DIR and --wrap-sessions in addition
    to the already-existing -k, -K, -g options (bug #2740)
- update-menus.filter:
  o automatically run update-menus when a desktop requiring update-menus
    gets installed/upgraded/removed
- run fndSession and update-menus in post of desktop-common-data so that
  any changes in those get live and in case that the packages that need
  their services were installed before desktop-common-data and therefore
  filetriggers weren't triggered (the previously used %%make_session is
  nowadays an empty macro)

* Thu Nov 17 2011 dmorgan <dmorgan> 1:2-0.1.mga2
+ Revision: 168370
- remove Mandriva link for Mageia wiki (bug #3199)
+ misc <misc>
- fix unowned directory

* Mon May 30 2011 ennael <ennael> 1:1-12.mga1
+ Revision: 100781
- fix contribution link

* Thu May 26 2011 blino <blino> 1:1-11.mga1
+ Revision: 100402
- install default desktop file in /usr/share/dist/desktop-files/<product>/

* Sun May 15 2011 pterjan <pterjan> 1:1-10.mga1
+ Revision: 98973
- Rebuild for fixed find-requires

* Fri Apr 29 2011 ahmad <ahmad> 1:1-9.mga1
+ Revision: 93343
- Update mageia.png icons (use the same icon as register-mga.png)
  (ACK'ed by rda)

* Tue Apr 19 2011 ennael <ennael> 1:1-8.mga1
+ Revision: 88124
- fix products
- fix icons for register-mga

* Fri Apr 01 2011 blino <blino> 1:1-7.mga1
+ Revision: 79377
- install distro icon in hicolor theme

* Fri Mar 18 2011 dmorgan <dmorgan> 1:1-6.mga1
+ Revision: 74275
- Fix drakconf location on menu

* Sun Mar 06 2011 dmorgan <dmorgan> 1:1-4.mga1
+ Revision: 65188
- Fix menu location of libreoffice
+ mikala <mikala>
- Fix URL

* Wed Feb 09 2011 ennael <ennael> 1:1-3.mga1
+ Revision: 49349
+ rebuild (emptylog)

* Wed Feb 09 2011 pterjan <pterjan> 1:1-2.mga1
+ Revision: 49343
- Add Epoch

* Thu Feb 03 2011 dmorgan <dmorgan> 0:1-1.mga1
+ Revision: 46710
- Add Mageia tarball
- Remove mdv macros
+ ennael <ennael>
- remove mdkversion
- imported package desktop-common-data


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.1-3mdv2011.0
+ Revision: 604784
- rebuild

* Wed Jun 16 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-2mdv2010.1
+ Revision: 548169
- Fix chksession 'default' return (pzanoni, Mdv bug #59733)
- Fix Security tagged items not being displayed (Mdv bug #59087)
- Ensure submenus are not inlined in Tools menu

* Thu Mar 18 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-1mdv2010.1
+ Revision: 525011
- Release 2010.1 :
 - fix non top-level menus to use inlining by default (one level)
 - fix xvt to be KDE4 compliant and start konsole in no-fork mode (pzanoni, Mdv bug #57052)

* Fri Nov 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-5mdv2010.1
+ Revision: 461449
- Ensure Openoffice is at the top of Office menu and remove ooo64 entries

* Tue Oct 27 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-4mdv2010.0
+ Revision: 459566
- Disable more sounds in ia_ora sound theme

* Tue Oct 27 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-3mdv2010.0
+ Revision: 459520
- Upgrade .desktop launcher to use new urls

* Wed Sep 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.0-2mdv2010.0
+ Revision: 451894
- Fix perms of desktop files

* Wed Aug 19 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-1mdv2010.0
+ Revision: 417953
- Release 2010.0 :
 - fix bashism in menustyle.sh
 - rename mandrake.png icon to mandriva.png

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2009.1-3mdv2010.0
+ Revision: 413347
- rebuild

* Wed Mar 18 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-2mdv2009.1
+ Revision: 357399
- Add support for pam-message in gdm theme (Mdv bug #45081)
- Fix jamendo url in bookmarks
- Icon support for fluxbox menu (Mdv bug #48522, patch From Jorge Van Hemelryck)
- Fix default bookmarks (spuk, Mdv bug #47097)

* Tue Mar 03 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-1mdv2009.1
+ Revision: 347987
- Release 2009.1 :
 - update some bookmarks (spuk)
 - add support for lxterminal in xvt

* Fri Oct 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-12mdv2009.0
+ Revision: 291051
- Fix screenshots for gdm / kdm (Mdv bug #44568)

* Mon Sep 29 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-11mdv2009.0
+ Revision: 289171
- Update menu file to put KDE4 control center at the beginning of menu list

* Tue Sep 16 2008 Colin Guthrie <cguthrie@mandriva.org> 2009.0-10mdv2009.0
+ Revision: 285182
- Touch /usr/share/sounds to invalidate libcanberra cache

* Thu Sep 11 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-9mdv2009.0
+ Revision: 283836
- Tune gdm theme for better readability with pwp/one backgrounds
- Move DiscBurning to Tools (Mdv bug #42598)

* Tue Aug 19 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-8mdv2009.0
+ Revision: 273889
- Disable more sound events by default
- Don't create empty postun script on 2009.0

* Tue Aug 12 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-7mdv2009.0
+ Revision: 271104
- Add sound theme
- remove old migration scripts
- Fix www-browser to detect KDE4 (Luc Menut, Mdv bug #42558)

* Mon Aug 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-6mdv2009.0
+ Revision: 263307
- Update gdm theme to use .jpg file, gtk doesn't load .jpg file named .png anymore

* Tue Jul 08 2008 Pixel <pixel@mandriva.com> 2009.0-5mdv2009.0
+ Revision: 232644
- add rpm filetrigger running fndSession when rpm install/remove dm.d or wmsession.d files

* Mon Jun 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-4mdv2009.0
+ Revision: 230263
- Fix fndSession to use new dm.d path (Mdv bug #41712)
- Add terminal to possible terminal emulator list in xvt

* Tue Jun 24 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-3mdv2009.0
+ Revision: 228718
- Update xdm Xsession path in chksession (Mdv bug #41645)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - normalize call to %%update_icon_cache/%%clean_icon_cache

* Thu Jun 05 2008 Pixel <pixel@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 215699
- add rpm filetrigger running update-menus when rpm install/remove .desktop files

* Mon May 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 201560
- Enable chksession to understand new paths from kde3 and been able to generate sessions for kdm 3 and 4

* Mon Mar 31 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-8mdv2008.1
+ Revision: 191255
- Rebuild with latest translations
- Add requires on run-parts (Mdv bug #39519)

* Mon Mar 17 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-7mdv2008.1
+ Revision: 188256
- Rebuild to get latest translations

* Fri Mar 14 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-6mdv2008.1
+ Revision: 187939
- Update text for register icon
- New bookmarks for 2008.1

* Mon Mar 10 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-5mdv2008.1
+ Revision: 183692
- Update screenshots for gdm and kdm
- Increase size for faces (Mdv bug #38604)

* Wed Mar 05 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-4mdv2008.1
+ Revision: 180167
- Add files needed for GDM Mandriva theme (version without user list)

* Wed Mar 05 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-3mdv2008.1
+ Revision: 180007
- fix small size of user list for gdm greeter
- fix icewm / twm detection in chkconfig (blino)

* Fri Feb 29 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-2mdv2008.1
+ Revision: 176770
- Update kdm theme to use Bold text for welcome screen

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-1mdv2008.1
+ Revision: 176401
- New gdm/kdm theme
- new faces
- drop dependency on mandriva-theme, packages which need a background should requires mandriva-theme directly

* Thu Feb 07 2008 Danilo Cesar Lemes de Paula <danilo@mandriva.com> 2008.0-20mdv2008.1
+ Revision: 163652
+ rebuild (emptylog)

* Mon Jan 07 2008 Danilo Cesar Lemes de Paula <danilo@mandriva.com> 2008.0-19mdv2008.1
+ Revision: 146289
- dm/KdmGreeterTheme.desktop was edited to use a KDM screenshot file (screenshot_kdm.png) instead a GDM's screenshot file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2008.0-18mdv2008.1
+ Revision: 137215
- no executable bit on profile scriptlets
  order prefix on profile scriptlets

* Wed Dec 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-17mdv2008.1
+ Revision: 134752
- update Ia Ora sound samples with 22kHz 16bits version (helio)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-16mdv2008.1
+ Revision: 101528
- Fix query for Tools menu (Mdv bug #34957)
- Make sure package can be backported to 2008.0

  + Funda Wang <fwang@mandriva.org>
    - mdk-menu-messages has been renamed to menu-messages

* Wed Oct 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-15mdv2008.0
+ Revision: 94939
- Regenerate tarball, 14mdv didn't have the change advertised in the changelog

* Mon Oct 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-14mdv2008.0
+ Revision: 94126
- Fix menu to no longer hide System;Settings;GNOME in SystemTools (Mdv bug #34269)
- Update url for register launcher
-

* Fri Sep 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-13mdv2008.0
+ Revision: 93690
- Fix desktop launcher again (Mdv bug #34235, 34238)

* Thu Sep 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-12mdv2008.0
+ Revision: 93312
- Tune menus to put .desktop with only main categories (usually from ISV) at top level. Bring 100%% compliance with XDG utils test suite
- Add support for OOo 64bits .desktop
- Fix typo in ParallelComputing category
- Printing and PackageManager are no longer desktop dependant (Mdv bug #33766, #33436)
- hide Emulator / HardwareSettings from Tools/More (Mdv bug #33765, #33906)
- Add new icon for Register launcher

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-11mdv2008.0
+ Revision: 90963
- Group kcontrol with MCC in System tools (Mdv bug #33663)
- Hide rpmdrake in SystemTools
- update translations for dekstop launchers
- Add icons for desktop launcher in hicolor icon theme
- Fix textcolor in mouseover for gdm/kdm theme

* Mon Sep 17 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-10mdv2008.0
+ Revision: 89294
- Fix gdm / kdm theme to show menu icon correctly
- Fix menu to move OO.o Draw to correct layout section (Mdv bug #33651)

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-9mdv2008.0
+ Revision: 85665
- Remove special case for drakconf in menu (fixed in its .desktop)
- Import new 2008 dm theme and port it to gdm
- Import Ia Ora Sound theme, authored by Helio (congrat)
- add new default launchers for desktop

* Mon Sep 10 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-8mdv2008.0
+ Revision: 84220
- Make sure all GNOME System but not Settings apps are visible in SystemTools
- update xdg_menu with gnomesu path (SUSE)

  + Adam Williamson <awilliamson@mandriva.org>
    - s/Mandrakelinux/Mandrivalinux/

* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-7mdv2008.0
+ Revision: 81947
- Improve KDM theme
- Add support for X-MandrivaLinux-More category
- Enable inlining on More submenus
- re-add Preferences/Advanced .directory for GNOME panel

* Thu Aug 30 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-6mdv2008.0
+ Revision: 75765
- Update bookmarks for 2008.0
- Really fix missing icons for graphics/more (Mdv bug #32839)
- Exclude Emulators from SystemTools menu (Mdv bug #32940)
- Use new rpmdrake .desktop filename

* Tue Aug 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-5mdv2008.0
+ Revision: 72760
- don't show Emulators in Tools/More (Austin)
- fix xdg_menu to not call kde-config as root (Mdv bug #32847)

* Mon Aug 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-4mdv2008.0
+ Revision: 71914
- Put xdg_menu cache in /var/lib/menu (pixel)

* Mon Aug 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-3mdv2008.0
+ Revision: 71810
-Add missing .directory for graphics/more (Mdv bug #32839)
-Rebuild with additional translations (Mdv bug #32884)

* Fri Aug 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 71033
- New Mandriva menu (based on Frederik Himpe proposal)

* Mon Aug 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-1mdv2008.0
+ Revision: 59440
- New release for 2008.0 :
 - mdk-folders are dead, we are now using XDG user directories instead
- Check if %%_install_langs is set to all before allowing build

* Fri May 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-12mdv2008.0
+ Revision: 26375
- add support for gdm 2.19.x new background property
- fix handling of zh locale for desktop directories (Mdv bug #30216)
- Fix www-browser call (Mdv bug #30522) (mrl)


* Wed Apr 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-11mdv2007.1
+ Revision: 150572
- Fix KDELegacy node position, causing empty Other menu node (Mdv bug #30126)

* Tue Apr 03 2007 Olivier Blin <oblin@mandriva.com> 2007.1-10mdv2007.1
+ Revision: 150302
- use fbrun in fluxbox menu instead of bbrun (#30076)
- do not hardcode xterm menu entry for fluxbox (#30076)

* Sat Mar 31 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-9mdv2007.1
+ Revision: 150100
- Update menu for discovery : hide more entries, make sure all accessibility tools are in "More applications"
- Update main menu : accept old categories which are still in specification

* Sat Mar 31 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-8mdv2007.1
+ Revision: 150007
- Fix duplicate entries

* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-7mdv2007.1
+ Revision: 149183
- Fix title for some konqueror bookmarks
- Don't output errors in fndSession when no session file is present

* Thu Mar 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-6mdv2007.1
+ Revision: 148136
- Fix Discovery menu

* Thu Mar 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-5mdv2007.1
+ Revision: 148058
- Update menu entries for One / Discovery

* Wed Mar 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-4mdv2007.1
+ Revision: 147486
- Prevent building when menu-message is broken
- update bookmarks
- fix www-browser loop

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-3mdv2007.1
+ Revision: 144412
- Add .desktop files for nautilus default desktop for One / Free
- Fix garbaged png/jpg files (Mdv bug #29005)
- (mrl) www-browser works for KDE and uses xdg-open when relevant (Mdv bug #16920)
- Hide GNOME Configuration subtree in main menu (Mdv bug #29270)
- Fix some url / names for konqueror bookmarks (Mdv bug #27964)

* Thu Feb 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-2mdv2007.1
+ Revision: 124422
- Update star icon

* Fri Feb 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-1mdv2007.1
+ Revision: 122000
- Remove xinitrc dependency (Mdv bug #26739)
- Fix fndSession umask (Mdv bug #17707)
- Add freedesktop.org categories to menu files (Mdv bug #26709)

* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 2007-21mdv2007.1
+ Revision: 121159
- Fix bookmarks
- Import desktop-common-data

* Thu Nov 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-20mdv2007.0
- Fix incorrect category for wordprocessors in discovery menu (Mdv bug #27084)

* Fri Oct 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-19mdv2007.0
- Fix update-menus script to not output empty line
- Re-add menu file stamp to prevent restarting update-menus for each
  graphical login

* Tue Oct 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-18mdv2007.0
- Rename root node from Mandriva Linux to Applications (Mdv bug #25389)
- Add missing .directory for various entries (Mdv bug #26273)

* Tue Sep 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-17mdv2007.0
- Add missing Emulator category to menu files (Mdv bug #26148)

* Fri Sep 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-16mdv2007.0
- Hide more applications in one products
- Increase version for Conflicts (Mdv bug #26043)

* Wed Sep 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-15mdv2007.0
- Fix error in upstream category in main menu
- add mandriva-discovery.menu additional menu file to hide / sort applications
  for Discovery / One products

* Tue Sep 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-14mdv2007.0
- Rebuild with fixed mdk-menu-message to get all translations (Mdv bug #25895)

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-13mdv2007.0
- Update with new bookmarks
- Don't show GNOME configuration in standard menu, moved in preferences menu

* Sat Sep 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-12mdv2007.0
- Update profile scripts to remove invalid dependencies
- move defaults bookmarks from kde and firefox to this package

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-11mdv2007.0
- Improve gdm/kdm theme with new backgrounds
- Don't create default desktop directories for root (Mdv bug #19711)

* Fri Sep 01 2006 Laurent MONTEL <lmontel@mandriva.com> 2007-10mdv2007.0
- Fix upgrade from 2006
- Fix discovery menu (merge kmenuedit.menu when it created by kmenuedit, fix 
 kfmclient error)

* Thu Aug 31 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-9mdv2007.0
- update-menus doesn't do anything if DURING_INSTALL is set to 1

* Thu Aug 31 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-8mdv2007.0
- Add missing directory file for adventure (Mdv bug #24829)
- Add empty menu nodes for KDE in discovery menu
- Remove old X-MandrakeLinux* categories for main menu, all entries
  must now use X-MandrivaLinux
- fix default directories creation if translation contains spaces (Mdv bug #24677)

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-7mdv2007.0
- Add discovery menu and script to support MDV_MENU_STYLE

* Fri Aug 18 2006 Laurent MONTEL <lmontel@mandriva.com> 2007-6
- Change requires to mandriva-theme

* Thu Aug 10 2006 Laurent MONTEL <lmontel@mandriva.com> 2007-5
- Fix oowriter menu entry

* Tue Aug 08 2006 Laurent MONTEL <lmontel@mandriva.com> 2007-4
- Fix applications-mdk.menu to merge kmenuedit.menu files (fix mdk bug #24103)

* Fri Jul 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-3mdv2007.0
- Ignore "Development" keyword, it is too broad atm (Mdv bug #23826)
- Add .directory for Archiving/Other (Mdv bug #23845)

* Fri Jul 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-2mdv2007.0
- Fix some typo (Andrej) (Mdk bug #23842)

* Tue Jul 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-1mdv2007.0
- Drop old menu system completely

* Wed Jul 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-12mdv2007.0
- Add missing .directory (Mdv bug #23614)
- fix translations for some .directories (Mdv bug #23641)

* Sat Jul 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-11mdv2007.0
- add missing .directory
- rebuild with fixed intltool
- fix generating icewm menu from XDG (pixel)

* Tue Jun 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-10mdv2007.0
- Add missing .directory files and fix videoconference one

* Fri Jun 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-9mdv2007.0
- Switch to X-MandrivaLinux

* Tue May 30 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-8mdv2007.0
- Add legacy directories and default merge directory

* Thu May 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-7mdk
- ship our own .directory files now
- use kde .directory files when possible
- add more upstream categories

* Sat May 13 2006 Laurent MONTEL <lmontel@mandriva.com> 2006-6
- Update for missing kcontrol entry

* Fri May 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-5mdk
- Update menu file with new filename for kde

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-4mdk
- Add missing catergories in menu file (laurent)

* Fri May 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2006-3mdk
- Add applications-mdk.menu file for XDG menu system
- Add xdg_menu script from SUSE to support old WM
- Don't ship defaultlayout.menu anymore, it is merged into main menu
- Fix typo in old menu file

* Tue Sep 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2006-2mdk 
- Fix desktop-directory script (UTF encoded URL, hidden .directory file)
  Mdk bug #18853

* Sat Sep 24 2005 Frederic Lepied <flepied@mandriva.com> 2006-1mdk
- Mandriva
- fixed simplified menu

* Tue Sep 20 2005 Laurent MONTEL <lmontel@mandriva.com> 10.3.1-9mdk
- Fix menu order

* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 10.3.1-8mdk 
- Fix loop in www-browser (based on patch from Andrey Borzenkov)

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 10.3.1-7mdk 
- Fix package name and command for gimp in simplified menu (Mdk bug #17627)

* Fri Sep 09 2005 Laurent MONTEL <lmontel@mandriva.com> 10.3.1-6mdk
- Add separator in simplified menu

* Tue Aug 30 2005 Frederic Crozat <fcrozat@mandriva.com> 10.3.1-5mdk 
- Fix default directories script when no translation is available

* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 10.3.1-4mdk 
- New scheme for default directories

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 10.3.1-3mdk 
- Add default directories xinit.d script

* Wed Aug 24 2005 Laurent MONTEL <lmontel@mandriva.com> 10.3.1-2mdk
- Mandrake->Mandriva

* Tue Jun 07 2005 Frederic Lepied <flepied@mandriva.com> 10.3.1-1mdk
- rebuild to have the correct fndSession (bug #16255)

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 10.3-1mdk
- fndSession: use the new generic framework

* Sat May 14 2005 Frederic Crozat <fcrozat@mandriva.com> 10.2-5mdk 
- change package name
- xvt : fix typo (bug #15836)
- fix typo in translation-map
- remove screensaver images, moved in theme package

* Wed Mar 30 2005 Frederic Lepied <flepied@mandrakesoft.com> 10.2-4mdk
- www-browser: test if the $BROWSER variable is set to something valid (bug #14903).

* Wed Mar 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 10.2-3mdk 
- don't use .desktop files for order directive

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 10.2-2mdk 
- change www-browser to use BROWSER variable if set or use running environment
  settings if set.
- xvt script to replace alternative : choose programs to start based on
  running environment

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-1mdk
- Fix error into menu

* Wed Mar 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-19mdk
- Fix order for simplified menu

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-18mdk
- Fix Filename order with menu id

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-17mdk
- Update menu order

* Mon Feb 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 10.1-16mdk 
- Install shared Mdk theme for GDM/KDM

* Tue Jan 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 10.1-15mdk 
- Fix small errors in default layout menu files

* Tue Dec 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 10.1-14mdk 
- Move mdk menu data from menu to mandrake_desk package

* Thu Sep 30 2004 David Baudens <baudens@mandrakesoft.com> 10.1-13mdk
- Fix task oriented menu to allow translations of "Listen to Music Files" menu
  entry (Laurent Montel)

* Thu Sep 30 2004 David Baudens <baudens@mandrakesoft.com> 10.1-12mdk
- Add missing menu entry for french Mandrakelinux documentation

* Thu Sep 30 2004 David Baudens <baudens@mandrakesoft.com> 10.1-11mdk
- Fix Import and Sort Your Photos menu entry

* Sat Sep 11 2004 David Baudens <baudens@mandrakesoft.com> 10.1-10mdk
- Add documentation to task oriented menu

* Fri Sep 10 2004 David Baudens <baudens@mandrakesoft.com> 10.1-9mdk
- Remove all longtitle

* Fri Sep 10 2004 David Baudens <baudens@mandrakesoft.com> 10.1-8mdk
- Fix task oriented menu (kphone)

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-7mdk
- Fix capitalization in simplified menu

* Wed Sep 01 2004 Frederic Lepied <flepied@mandrakesoft.com> 10.1-6mdk
- added the script www-browser

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 10.1-5mdk
- Fix typo in gnome-cd entry

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-4mdk
- Fix "Play Games" menu entry

* Thu Aug 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 10.1-3mdk
- Add GNOME version of task oriented menu
- Fix capitalisations in task oriented menu

* Fri Aug 06 2004 David Baudens <baudens@mandrakesoft.com> 10.1-2mdk
- Add "Make a phone call" to task oriented menu

* Fri Aug 06 2004 David Baudens <baudens@mandrakesoft.com> 10.1-1mdk
- Update task oriented menu

* Thu Aug 05 2004 Pixel <pixel@mandrakesoft.com> 10.0-11mdk
- add "chksession -L" used by DrakX to configure ~/.dmrc
- fix descriptions (use Mandrakelinux instead of simply Mandrake)

